Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Description

If a lot of parameters are used it would be great to have the parameters displayed in alphabetical order by the name of the

parameter, ideally the ordering could be changed per "column" to have it sorted by name or value ascending or descending.

Related issues:

Has duplicate Foreman - Bug #3106: Consistent sorting of parameters in hosts ... Closed 09/17/2013

History

#1 - 02/05/2013 04:40 AM - Dominic Cleal

- Assignee deleted (Ohad Levy)

Peter Bauer wrote:

If a lot of parameters are used it would be great to have the parameters displayed in alphabetical order by the name of the parameter, ideally the

ordering could be changed per "column" to have it sorted by name or value ascending or descending.

 In which UI is this Peter?  Under Edit Host perhaps?

#2 - 02/05/2013 05:00 AM - Peter Bauer

This applies to the Parameter pages of the Hosts, Hosts Groups and Domains and the Global Parameters.

#3 - 06/26/2013 11:27 AM - Brian Rak

I'd also like to request the ability to change the sort order for class parameters.  For example, I've got "class network::maininterface($main_ip_v6='',

$main_gateway_v6='', $main_ip_v4='', $main_netmask_v4='', $main_gateway_v4='')".

I'd like to see class parameters on the host edit page ordered first by the class name, then by some type of controllable order for the parameter name.

Currently, they are just displayed in the order they are overridden in.

#4 - 02/28/2014 11:04 AM - Benjamin Papillon

- Has duplicate Bug #3106: Consistent sorting of parameters in hosts and hostgroups added

#5 - 02/28/2014 11:04 AM - Benjamin Papillon

- Status changed from New to Duplicate

Hi,

The feature described by the opener has been resolved by another ticket (#3106). If you need additionnal feature, please create a new one :)

Regards
